openapi: 3.0.3
info:
  title: Swifty OAuth API
  version: 1.0.0
  description: |
      API for the Swifty OAuth Backend
  contact:
    name: RxFoundry Team
    email: paul.tindall@rxfoundry.com

paths:
  '/oauth/token/':
    $ref: 'oauth.yaml#/paths/~1token~1'

  '/oauth/userinfo/':
    $ref: 'oauth.yaml#/paths/~1userinfo~1'



components:
  schemas: {}
  securitySchemes:
    opaque_token:
      type: http
      scheme: bearer
      bearerFormat: opaque
      x-bearerInfoFunc: swifty_api.controllers.authorization_controller.check_token
